AsterNet Class Library (Sandcastle documentation)

| AGIScript WaitForDigit Method

Waits up to 'timeout' milliseconds to receive a DTMF digit.

Namespace: AsterNET.FastAGI
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    protected char WaitForDigit(
    	int timeout
    )

    Protected Function WaitForDigit (
    	timeout As Integer
    ) As Char

    protected:
    wchar_t WaitForDigit(
    	int timeout
    )

    member WaitForDigit :
            timeout : int -> char

#### Parameters

timeout
  Type: System
  Int32
  timeout the milliseconds to wait for the channel to receive a DTMF digit, -1 will wait forever.

#### Return Value

Type: Char
the DTMF digit pressed or 0x0 if none was pressed.
See Also

#### Reference

AGIScript Class
AsterNET.FastAGI Namespace